﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Xml.Linq;

namespace SilverlightBusinessIntelligence.Helpers
{
    public static class Silverlight
    {
        public static HtmlString SilverlightHost(
            string silverlightXapFileLocation, // URI Location of the Silverlight XAP file
            string initParameters ="",
            string minimumRuntimeVersion = "4.0.50826.0",
            string objectContainerWidth = "100%",
            string objectContainerHeight = "100%",
            string onErrorJavaScriptFunctionName = "onSilverlightError",
            string divObjectTagId = "silverlightControlHost",
            string iFrameStyle = "visibility:hidden;height:0px;width:0px;border:0px"
            )
        {
            // build the string
            string silverlightFrame =
                                    string.Format(
                                        "<div style=\"height:800px\" id=\"{0}\">" +
                                                "<object data=\"data:application/x-silverlight-2,\" type=\"application/x-silverlight-2\" width=\"{1}\" height=\"{2}\">" +
                                                  "<param name=\"source\" value=\"{3}\"/>" +
                                                  "<param name=\"initParams\" value=\"account={4}\"/>" +
                                                  "<param name=\"minRuntimeVersion\" value=\"{5}\" />" +
                                                  "<param name=\"onError\" value=\"{6}\" />" +
                                                  "<param name=\"windowless\" value=\"True\" />" +
                                                  "<param name=\"background\" value=\"white\" />" +
                                                  "<param name=\"autoUpgrade\" value=\"true\" />" +
                                                  "<param name=\"background\" value=\"#00FFFFFF\" />"+
                                                  "<a href=\"http://go.microsoft.com/fwlink/?LinkID=149156&v=3.0.40818.0\" style=\"text-decoration:none\">" +
                                                      "<img src=\"http://go.microsoft.com/fwlink/?LinkId=161376\" alt=\"Get Microsoft Silverlight\" style=\"border-style:none\"/>" +
                                                  "</a>" +
                                                "</object><iframe id=\"_sl_historyFrame\" style=\"{7}\"></iframe>" +
                                          @"</div>",
                                      divObjectTagId,
                                      objectContainerWidth,
                                      objectContainerHeight,
                                      silverlightXapFileLocation,
                                      initParameters,
                                      minimumRuntimeVersion,
                                      onErrorJavaScriptFunctionName,
                                      iFrameStyle
                                      );

            string silverlightHtmlString = silverlightFrame.ToString();
            return new HtmlString(silverlightHtmlString);
        }
    }
}