﻿using ActiveGames.Models;
using Orchard.ContentManagement;
using Orchard.ContentManagement.Drivers;
using Orchard.Mvc;
namespace ActiveGames.Drivers
{
    public class ActiveGamesDriver : ContentPartDriver<ActiveGamesPart>
        {
            protected override DriverResult Display(
                ActiveGamesPart part, string displayType, dynamic shapeHelper)
            {

                return ContentShape("Parts_ActiveGames", () => shapeHelper.Parts_ActiveGames(
                    AccountName: part.AccountName));
            }

            //GET
            protected override DriverResult Editor(
                ActiveGamesPart part, dynamic shapeHelper)
            {

                return ContentShape("Parts_ActiveGames_Edit",
                    () => shapeHelper.EditorTemplate(
                        TemplateName: "Parts/ActiveGames",
                        Model: part,
                        Prefix: Prefix));
            }
            //POST
            protected override DriverResult Editor(
                ActiveGamesPart part, IUpdateModel updater, dynamic shapeHelper)
            {

                updater.TryUpdateModel(part, Prefix, null, null);
                return Editor(part, shapeHelper);
            }
    }
}